Bug 443240 - F9 Preview No Desktop, Blank Display After Boot
F9 Preview No Desktop, Blank Display After Boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 12:49 EDT by Garry T. Williams
Modified: 2009-07-14 13:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:36:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry T. Williams 2008-04-19 12:49:59 EDT
Description of problem:
Display blank instead of desktop (or login).


Version-Release number of selected component (if applicable):
Fedora-9-Preview-i686-Live-KDE


How reproducible:
Always


Steps to Reproduce:
1.  Boot CD
2.
3.
  
Actual results:
Blank display when either login screen or desktop should display.


Expected results:
Either desktop login screen or desktop displayed.


Additional info:
While booting, the graphical boot screen is offset to the left by about
one-quarter of my display and the left hand side of the graphical boot screen is
clipped and not visible.

<ctrl><alt><f1> has no effect.  Network is not enabled, so cannot log in from
another machine.  <ctrl><alt><backspace> has no effect.  <atl><f7> has no effect.

This machine is a Dell Dimension E520.  Adapter with this machine: Intel G965. 
Display is Dell Flat Panel 1680x1050.

Machine runs FC7 (2.6.23.15-80.fc7) no problem.  (Machine originally came with
Ubuntu.)

Please advise how I can obtain additional diagnostic information (if needed).
Comment 1 Garry T. Williams 2008-04-21 18:05:55 EDT
I tried booting to init level 3.  This succeeded.  I started sshd, stopped the
firewall, and logged in from my laptop.  From the console, I entered startx. 
The same symptom -- no desktop, blank display -- ensued.  The laptop session was
unresponsive.  The system no longer responded to pings from the laptop.

I see no way to obtain additional information.
Comment 2 Matěj Cepl 2008-04-23 19:28:15 EDT
Try to run X in gdb. See
http://xorg.freedesktop.org/wiki/Development/Documentation/ServerDebugging would
you get some backtrace or something?
Comment 3 Garry T. Williams 2008-04-23 22:19:55 EDT
I couldn't install the debug server or driver because yum couldn't load a mirror
list for the debug repository.  I will try again later.  But...

gdb did allow me to at least get some data before the system completely locked
up.  (I don't really know how to start the X server from the command line --
I've always used the startx command).  Here's what the gdb command printed in my
ssh session:

# DISPLAY=:0 gdb /usr/bin/Xorg 
GNU gdb Fedora (6.8-1.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Missing separate debuginfos, use: debuginfo-install xorg-x11-server.i386
(gdb) run
Starting program: /usr/bin/Xorg 
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]

X.Org X Server 1.4.99.901 (1.5.0 RC 1)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.14.el5xen i686 
Current Operating System: Linux localhost.localdomain
2.6.25-0.234.rc9.git1.fc9.i686 #1 SMP Tue Apr 15 18:37:15 EDT 2008 i686
Build Date: 10 April 2008  10:18:50AM
Build ID: xorg-x11-server 1.4.99.901-21.20080407.fc9 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Apr 24 01:59:17 2008
(EE) Unable to locate/open config file
New driver is "intel"
(==) Using default built-in configuration (30 lines)
[New Thread 0xb7f3e710 (LWP 3002)]
[tcsetpgrp failed in terminal_inferior: Operation not permitted]
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(EE) open /dev/fb0: No such file or directory
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Read from remote host 192.168.0.52: Connection reset by peer




Before I hit return, I got a look at /var/log/Xorg.0.log for the first time, too:

# cat /var/log/Xorg.0.log 

X.Org X Server 1.4.99.901 (1.5.0 RC 1)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.14.el5xen i686 
Current Operating System: Linux localhost.localdomain
2.6.25-0.234.rc9.git1.fc9.i686 #1 SMP Tue Apr 15 18:37:15 EDT 2008 i686
Build Date: 10 April 2008  10:18:50AM
Build ID: xorg-x11-server 1.4.99.901-21.20080407.fc9 
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Apr 24 01:59:17 2008
(EE) Unable to locate/open config file
(II) Loader magic: 0x81f7460
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.3
        X.Org Video Driver: 4.0
        X.Org XInput driver : 2.0
        X.Org Server Extension : 1.0
        X.Org Font Renderer : 0.5
(II) Loader running on linux
(--) using VT number 7

(--) PCI:*(0@0:2:0) Intel Corporation 82G965 Integrated Graphics Controller rev
2, Mem @ 0xdfe00000/0, 0xc0000000/0, I/O @ 0x0000ec98/0
(--) PCI: (0@0:2:1) Intel Corporation 82G965 Integrated Graphics Controller rev
2, Mem @ 0xdff00000/0
(==) Matched intel for the autoconfigured driver
New driver is "intel"
(==) Using default built-in configuration (30 lines)
(==) --- Start of built-in configuration ---
        Section "Device"
                Identifier      "Builtin Default intel Device 0"
                Driver  "intel"
        EndSection
        Section "Screen"
                Identifier      "Builtin Default intel Screen 0"
                Device  "Builtin Default intel Device 0"
        EndSection
        Section "Device"
                Identifier      "Builtin Default fbdev Device 0"
                Driver  "fbdev"
        EndSection
        Section "Screen"
                Identifier      "Builtin Default fbdev Screen 0"
                Device  "Builtin Default fbdev Device 0"
        EndSection
        Section "Device"
                Identifier      "Builtin Default vesa Device 0"
                Driver  "vesa"
        EndSection
        Section "Screen"
                Identifier      "Builtin Default vesa Screen 0"
                Device  "Builtin Default vesa Device 0"
        EndSection
        Section "ServerLayout"
                Identifier      "Builtin Default Layout"
                Screen  "Builtin Default intel Screen 0"
                Screen  "Builtin Default fbdev Screen 0"
                Screen  "Builtin Default vesa Screen 0"
        EndSection
(==) --- End of built-in configuration ---
(==) ServerLayout "Builtin Default Layout"
(**) |-->Screen "Builtin Default intel Screen 0" (0)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default intel Device 0"
(==) No monitor specified for screen "Builtin Default intel Screen 0".
        Using a default monitor configuration.
(**) |-->Screen "Builtin Default fbdev Screen 0" (1)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default fbdev Device 0"
(==) No monitor specified for screen "Builtin Default fbdev Screen 0".
        Using a default monitor configuration.
(**) |-->Screen "Builtin Default vesa Screen 0" (2)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default vesa Device 0"
(==) No monitor specified for screen "Builtin Default vesa Screen 0".
        Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(==) FontPath set to:
        catalogue:/etc/X11/fontpath.d,
        built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(==) |-->Input Device "<default pointer>"
(==) |-->Input Device "<default keyboard>"
(==) The core pointer device wasn't specified explicitly in the layout.
        Using the default mouse configuration.
(==) The core keyboard device wasn't specified explicitly in the layout.
        Using the default keyboard configuration.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) System resource ranges:
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [4] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [5] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]
(II) LoadModule: "extmod"

(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so





After hitting return, the system locked up again, so no more data available.

Is this a help?
Comment 4 Matěj Cepl 2008-05-03 08:37:35 EDT
> Is this a help?

Yes, that's probably enough, but it sucks :(
Comment 5 Vinu Moses 2008-05-04 06:36:27 EDT
I'm able to reproduce the same problem (complete freeze) on my desktop when I
try to start up the Fedora 9 KDE Preview CD.

I'm using an Asus A8V motherboard with a VIA K8T800 Pro chipset and an Ati
Radeon 1950Pro AGP graphics card.

The system works fine with F8.

--Vinu.
Comment 6 Garry T. Williams 2008-05-04 09:27:24 EDT
More information:

(I note that the KDE CD doesn't have gdb installed.  I did my testing with the
Gnome CD, which produces the same symptom that I originally reported above on KDE.)

I finally realized that the Preview CD uses the rawhide repository -- not
fedora.  Once I enabled rawhide-debuginfo, I was able to install
xorg-x11-server-debuginfo and xorg-x11-drv-debuginfo (duh).

(The xorg-x11-drv-i810-debuginfo package is 2.2.1-23.fc9 .)

However, at least the server package seems to be broken:

# DISPLAY=:0 gdb /usr/bin/Xorg 
GNU gdb Fedora (6.8-1.fc9)
...
warning: the debug information found in "/usr/lib/debug/usr/bin/Xorg.debug" does
not match "/usr/bin/Xorg" (CRC mismatch).

(no debugging symbols found)
Missing separate debuginfos, use: debuginfo-install xorg-x11-server.i386
(gdb) quit



But I tried just starting X (init 5) and this did *not* end up freezing.

But my display was messed up: the desktop image was left-shifted so that only
the System menu shows up in the top left panel.  I could "grab" the other menus
with the keyboard right-arrow key after clicking the System menu.  The screen
resolution was correctly set to my LCD's 1680x1050 resolution.

Also, no matter what font I selected to use with the desktop, all characters
were clipped on top.  For example, an upper case O looked kind of like an upper
case U because of this.  The broken fonts were apparent in every part of the
desktop: menus, title bars, application areas, etc.
Comment 7 Garry T. Williams 2008-05-13 18:53:29 EDT
The "freeze" symptom is gone when I boot the Fedora-9-i686-Live CD.  But...

The desktop image was left-shifted so that only the System menu shows up in the
top left panel.  The same left-shifting is apparent during the boot, too.

I opened Bug 446293 to report this problem against FC9.

Comment 8 Bug Zapper 2008-05-14 05:44:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 20:17:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:36:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.